summaryrefslogtreecommitdiff
path: root/repo/system/cacerts/cacerts.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/system/cacerts/cacerts.xibuild')
-rw-r--r--repo/system/cacerts/cacerts.xibuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/repo/system/cacerts/cacerts.xibuild b/repo/system/cacerts/cacerts.xibuild
new file mode 100644
index 0000000..9fef8e1
--- /dev/null
+++ b/repo/system/cacerts/cacerts.xibuild
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+MAKEDEPS="sbase bash sed"
+DEPS="libnghttp libp11-kit"
+
+PKG_VER=1.7
+SOURCE=https://github.com/djlucas/make-ca/releases/download/v$PKG_VER/make-ca-$PKG_VER.tar.xz
+ADDITIONAL="
+ fix-sbase-coreutils.patch
+"
+
+DESC="Root certificates needed by ssl built using make-ca"
+
+
+prepare () {
+ apply_patches
+ sed -i "s/grep/ggrep/g" make-ca
+
+}
+
+package () {
+ mkdir -p $PKG_DEST/etc/ssl/certs
+ bash make-ca -g --force -D $PKG_DEST
+ chmod -R 777 $PKG_DEST || echo "couldnt change permissions for $PKG_DEST"
+
+ install -d $PKG_DEST/usr/bin
+ install -d $PKG_DEST/usr/libexec/make-ca
+ install -m755 make-ca $PKG_DEST/usr/bin/
+ install -m700 copy-trust-modifications $PKG_DEST/usr/libexec/make-ca
+}